org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.beans

## Class WindowsDevice

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.beans.WindowsDevice

-     public class WindowsDevice
      extends Object

  Class for get windows device properties.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsDevice()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeviceId()`
    `String` | `getDeviceName()`
    `String` | `getDeviceType()`
    `String` | `getImei()`
    `String` | `getImsi()`
    `String` | `getManufacturer()`
    `String` | `getModel()`
    `String` | `getOsVersion()`
    `String` | `getUser()`
    `void` | `setDeviceId(String deviceId)`
    `void` | `setDeviceName(String deviceName)`
    `void` | `setDeviceType(String deviceType)`
    `void` | `setImei(String imei)`
    `void` | `setImsi(String imsi)`
    `void` | `setManufacturer(String manufacturer)`
    `void` | `setModel(String model)`
    `void` | `setOsVersion(String osVersion)`
    `void` | `setUser(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsDevice

          public WindowsDevice()

  - ### Method Detail

    - #### getImei

          public String getImei()

    - #### setImei

          public void setImei(String imei)

    - #### getDeviceType

          public String getDeviceType()

    - #### setDeviceType

          public void setDeviceType(String deviceType)

    - #### getDeviceId

          public String getDeviceId()

    - #### setDeviceId

          public void setDeviceId(String deviceId)

    - #### getOsVersion

          public String getOsVersion()

    - #### setOsVersion

          public void setOsVersion(String osVersion)

    - #### getImsi

          public String getImsi()

    - #### setImsi

          public void setImsi(String imsi)

    - #### getManufacturer

          public String getManufacturer()

    - #### setManufacturer

          public void setManufacturer(String manufacturer)

    - #### getModel

          public String getModel()

    - #### setModel

          public void setModel(String model)

    - #### getUser

          public String getUser()

    - #### setUser

          public void setUser(String user)

    - #### getDeviceName

          public String getDeviceName()

    - #### setDeviceName

          public void setDeviceName(String deviceName)

Copyright © 2017 WSO2. All rights reserved.